Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000350 [Piwigo] display minor always 2006.04.25 01:31 2006.06.04 10:50
Reporter rvelices View Status public  
Assigned To chrisaga
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6.0RC1 Product Version 1.6.0RC1
  Target Version Product Build
Summary 0000350: $category['comment'] valid html might be destroyed by htmlentities
Description in category_subcats, htmlentities function is applied to the comment of a category. But this comment might already contain html (if conf['allow_html_descriptions'] is true), resulting in html code diplay.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
has duplicate 0000364closed Balises html en clair sur la page d'accueil 

-  Notes
(0000852)
chrisaga (developer)
2006.04.25 21:38

You are right.
We must not use htmlentities() in this case.
Fixed in 1.6 (snv:1269) meged in BSF ([Subversion] r1270)
(0001016)
chrisaga (developer)
2006.06.04 10:50

Sould have been closed long ago

- Issue History
Date Modified Username Field Change
2006.04.25 01:31 rvelices New Issue
2006.04.25 01:31 rvelices browser => any
2006.04.25 01:31 rvelices Web server => Apache 1.3.x
2006.04.25 21:36 chrisaga Status new => assigned
2006.04.25 21:36 chrisaga Assigned To => chrisaga
2006.04.25 21:38 chrisaga Status assigned => resolved
2006.04.25 21:38 chrisaga Resolution open => fixed
2006.04.25 21:38 chrisaga Note Added: 0000852
2006.05.03 16:41 rvelices Relationship added has duplicate 0000364
2006.06.04 10:50 chrisaga Status resolved => closed
2006.06.04 10:50 chrisaga Note Added: 0001016
2006.06.04 10:50 chrisaga Fixed in Version => 1.6.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker